namespace DataSharing.Share.Dtos.YiBin.ConvergenceMedia
{
    public class MediaOrderDetailReceiveDto
    {
        /// <summary>
        /// 密钥
        /// </summary>
        [MDisplayName("密钥")]
        [VRequired]
        public string Code { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [MDisplayName("工单编号")]
        [VRequired]
        public string AcceptCode { get; set; }

        /// <summary>
        /// 工单密码
        /// </summary>
        [MDisplayName("工单密码")]
        [VRequired]
        public string AcceptPwd { get; set; }
    }

    public class IYBReceiveDto
    {
        /// <summary>
        /// 密钥
        /// </summary>
        [MDisplayName("密钥")]
        [VRequired]
        public string Code { get; set; }

        /// <summary>
        /// 工单ID
        /// </summary>
        [MDisplayName("工单ID")]
        [VRequired]
        public string FlowID { get; set; }

    }

    public class IYBGetFilesDto
    {
        /// <summary>
        /// 密钥
        /// </summary>
        [MDisplayName("密钥")]
        [VRequired]
        public string Code { get; set; }

        /// <summary>
        /// 工单ID
        /// </summary>
        [MDisplayName("工单ID")]
        [VRequired]
        public string FlowID { get; set; }
    }

    public class MediaOrderReportReceiveDto
    {
        /// <summary>
        /// 密钥
        /// </summary>
        [MDisplayName("密钥")]
        [VRequired]
        public string Code { get; set; }
    }
}
